Debian Bug report logs - #464797
tightvnc: FTBFS on Arm

version graph

Package: tightvnc; Maintainer for tightvnc is Ola Lundqvist <opal@debian.org>;

Reported by: Paul Brook <paul@nowt.org>

Date: Sat, 9 Feb 2008 02:00:01 UTC

Severity: important

Tags: patch

Found in version 1.2.9-21

Fixed in version tightvnc/1.3.9-1

Done: Ola Lundqvist <opal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#464797; Package tightvnc. Full text and rfc822 format available.

Acknowledgement sent to Paul Brook <paul@nowt.org>:
New Bug report received and forwarded. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Brook <paul@nowt.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tightvnc: FTBFS on Arm
Date: Sat, 09 Feb 2008 01:46:21 +0000
Package: tightvnc
Version: 1.2.9-21
Severity: important
Tags: patch
Justification: fails to build from source


Package fails to build on ARM.  Looks like confusion between
Arm32Architecture and ArmArchitecture in the configure scripts.

Patch below fixes the system detection file to generate the defines that
the rest of the config is expecting.

Paul

diff -ur clean/Xvnc/config/cf/Imake.cf tightvnc-fixed/Xvnc/config/cf/Imake.cf
--- clean/Xvnc/config/cf/Imake.cf
+++ tightvnc-fixed/Xvnc/config/cf/Imake.cf
@@ -711,7 +711,7 @@
 #  undef __alpha__
 # endif /* __alpha__ */
 # ifdef __arm__
-#  define Arm32Architecture
+#  define ArmArchitecture
 #  undef arm
 #  undef __arm
 #  undef __arm__

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: arm (armv5tejl)

Kernel: Linux 2.6.22.2
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#464797; Package tightvnc. Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #10 received at 464797@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: Paul Brook <paul@nowt.org>, 464797@bugs.debian.org
Subject: Re: Bug#464797: tightvnc: FTBFS on Arm
Date: Sat, 9 Feb 2008 22:40:45 +0100
Hi

Thanks a lot! Do the package work well when it has been built?

Best regards,

// Ola

On Sat, Feb 09, 2008 at 01:46:21AM +0000, Paul Brook wrote:
> Package: tightvnc
> Version: 1.2.9-21
> Severity: important
> Tags: patch
> Justification: fails to build from source
> 
> 
> Package fails to build on ARM.  Looks like confusion between
> Arm32Architecture and ArmArchitecture in the configure scripts.
> 
> Patch below fixes the system detection file to generate the defines that
> the rest of the config is expecting.
> 
> Paul
> 
> diff -ur clean/Xvnc/config/cf/Imake.cf tightvnc-fixed/Xvnc/config/cf/Imake.cf
> --- clean/Xvnc/config/cf/Imake.cf
> +++ tightvnc-fixed/Xvnc/config/cf/Imake.cf
> @@ -711,7 +711,7 @@
>  #  undef __alpha__
>  # endif /* __alpha__ */
>  # ifdef __arm__
> -#  define Arm32Architecture
> +#  define ArmArchitecture
>  #  undef arm
>  #  undef __arm
>  #  undef __arm__
> 
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: arm (armv5tejl)
> 
> Kernel: Linux 2.6.22.2
> Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
> Shell: /bin/sh linked to /bin/bash
> 
> 
> 

-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  ola@opalsys.net                     654 65 KARLSTAD          |
|  http://opalsys.net/                 +46 (0)70-332 1551       |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#464797; Package tightvnc. Full text and rfc822 format available.

Acknowledgement sent to Paul Brook <paul@nowt.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #15 received at 464797@bugs.debian.org (full text, mbox):

From: Paul Brook <paul@nowt.org>
To: opal@debian.org
Cc: 464797@bugs.debian.org
Subject: Re: Bug#464797: tightvnc: FTBFS on Arm
Date: Sat, 9 Feb 2008 23:58:14 +0000
> Thanks a lot! Do the package work well when it has been built?

Yes.  Both client and server seem to work as expected.

Paul




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#464797; Package tightvnc. Full text and rfc822 format available.

Acknowledgement sent to ola@opalsys.net:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #20 received at 464797@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@opalsys.net>
To: Paul Brook <paul@nowt.org>
Cc: 464797@bugs.debian.org
Subject: Re: Bug#464797: tightvnc: FTBFS on Arm
Date: Sun, 10 Feb 2008 13:37:23 +0100
Great!

Thanks for the patch.

Best regards,

// Ola

On Sat, Feb 09, 2008 at 11:58:14PM +0000, Paul Brook wrote:
> > Thanks a lot! Do the package work well when it has been built?
> 
> Yes.  Both client and server seem to work as expected.
> 
> Paul
> 

-- 
 --- Ola Lundqvist systemkonsult --- M Sc in IT Engineering ----
/  ola@opalsys.net                   Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://opalsys.net/               Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 31 Mar 2008 10:24:49 GMT) Full text and rfc822 format available.

Reply sent to Ola Lundqvist <opal@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Brook <paul@nowt.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 464797-close@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: 464797-close@bugs.debian.org
Subject: Bug#464797: fixed in tightvnc 1.3.9-1
Date: Sat, 19 Apr 2008 12:17:22 +0000
Source: tightvnc
Source-Version: 1.3.9-1

We believe that the bug you reported is fixed in the latest version of
tightvnc, which is due to be installed in the Debian FTP archive:

tightvnc_1.3.9-1.diff.gz
  to pool/main/t/tightvnc/tightvnc_1.3.9-1.diff.gz
tightvnc_1.3.9-1.dsc
  to pool/main/t/tightvnc/tightvnc_1.3.9-1.dsc
tightvnc_1.3.9.orig.tar.gz
  to pool/main/t/tightvnc/tightvnc_1.3.9.orig.tar.gz
tightvncserver_1.3.9-1_i386.deb
  to pool/main/t/tightvnc/tightvncserver_1.3.9-1_i386.deb
xtightvncviewer_1.3.9-1_i386.deb
  to pool/main/t/tightvnc/xtightvncviewer_1.3.9-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 464797@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ola Lundqvist <opal@debian.org> (supplier of updated tightvnc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 23 Mar 2008 00:36:15 +0100
Source: tightvnc
Binary: tightvncserver xtightvncviewer
Architecture: source i386
Version: 1.3.9-1
Distribution: unstable
Urgency: low
Maintainer: Ola Lundqvist <opal@debian.org>
Changed-By: Ola Lundqvist <opal@debian.org>
Description: 
 tightvncserver - virtual network computing server software
 xtightvncviewer - virtual network computing client software for X
Closes: 173701 218401 281702 345368 365593 374273 378573 411187 415611 422361 423091 424077 434240 464797
Changes: 
 tightvnc (1.3.9-1) unstable; urgency=low
 .
   * New upstream release.
     Closes: #424077, #434240.
     This new release corrects a number of known problems:
      - tightvncconnect no longer make Xtightvnc crash (closes: #422361)
      - Control|Shift + Click is now sent properly (closes: #173701)
      - No input starvation (closes: #218401)
      - No errors when connecting from WinXP (closes: #281702)
      - Default path correction (closes: #365593)
      - The problematic DEBUG statement no longer exists (closes: #374273)
      - No longer use raw encoding for ssh tunnels (closes: #423091)
   * Updated vncserver script to allow .vnc directory as symlink.
     Closes: #411187.
   * Corrected link to broken homepage, closes: #345368.
   * Now uses /etc/X11/Xsession as default x init script, closes: #378573.
   * Applied patch from Paul Brook <paul@nowt.org> to make it build on
     arm architecture, closes: #464797.
   * Applied patch from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to
     make it build on GNU/kFreeBSD, closes: #415611.
   * Dropped pre-depends on dpkg.
Files: 
 af22251e793be7a98ebfad63929287e8 786 x11 optional tightvnc_1.3.9-1.dsc
 80b904d4a10fccee9045d0feeaa65df8 2246697 x11 optional tightvnc_1.3.9.orig.tar.gz
 a17d4f6fa81f900ea51dbcb804071be2 70225 x11 optional tightvnc_1.3.9-1.diff.gz
 f8f864ccf06d3b2213e48dc4690cdbd2 709522 x11 optional tightvncserver_1.3.9-1_i386.deb
 c4025ceadce2205027b0505fcf76dc66 63072 x11 optional xtightvncviewer_1.3.9-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFICeEhGKGxzw/lPdkRAoT9AJ9eCRqehMB4GDBgDGN2ROJ4jNJkQQCgn+y/
uKzlUmjP9XgY+Mybzrwve3M=
=F+Mp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Jun 2008 07:39:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:47:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.